Package com.databricks.jdbc.client.impl.thrift.generated

## Class TUserDefinedTypeEntry

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TUserDefinedTypeEntry

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TUserDefinedTypeEntry>`, `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TUserDefinedTypeEntry
    extends Object
    implements org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>, Serializable, Cloneable, Comparable<TUserDefinedTypeEntry>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TUserDefinedTypeEntry._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TUserDefinedTypeEntry._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `typeClassName`

### Constructor Summary

Constructors
`TUserDefinedTypeEntry()`
`TUserDefinedTypeEntry​(TUserDefinedTypeEntry other)` Performs a deep copy on other.
`TUserDefinedTypeEntry​(String typeClassName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TUserDefinedTypeEntry other)`
`TUserDefinedTypeEntry` `deepCopy()`
`boolean` `equals​(TUserDefinedTypeEntry that)`
`boolean` `equals​(Object that)`
`TUserDefinedTypeEntry._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TUserDefinedTypeEntry._Fields field)`
`String` `getTypeClassName()`
`int` `hashCode()`
`boolean` `isSet​(TUserDefinedTypeEntry._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetTypeClassName()` Returns true if field typeClassName is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TUserDefinedTypeEntry._Fields field, Object value)`
`TUserDefinedTypeEntry` `setTypeClassName​(String typeClassName)`
`void` `setTypeClassNameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetTypeClassName()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### typeClassName

    public String typeClassName

#### metaDataMap

    public static final Map<TUserDefinedTypeEntry._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TUserDefinedTypeEntry

    public TUserDefinedTypeEntry()

#### TUserDefinedTypeEntry

    public TUserDefinedTypeEntry​(String typeClassName)

#### TUserDefinedTypeEntry

    public TUserDefinedTypeEntry​(TUserDefinedTypeEntry other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TUserDefinedTypeEntry deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### getTypeClassName

    public String getTypeClassName()

#### setTypeClassName

    public TUserDefinedTypeEntry setTypeClassName​(String typeClassName)

#### unsetTypeClassName

    public void unsetTypeClassName()

#### isSetTypeClassName

    public boolean isSetTypeClassName()

Returns true if field typeClassName is set (has been assigned a value) and false otherwise

#### setTypeClassNameIsSet

    public void setTypeClassNameIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TUserDefinedTypeEntry._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### getFieldValue

    public Object getFieldValue​(TUserDefinedTypeEntry._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### isSet

    public boolean isSet​(TUserDefinedTypeEntry._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TUserDefinedTypeEntry that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TUserDefinedTypeEntry other)

Specified by:
  `compareTo` in interface `Comparable<TUserDefinedTypeEntry>`

#### fieldForId

    public TUserDefinedTypeEntry._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TUserDefinedTypeEntry,​TUserDefinedTypeEntry._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`